#!/bin/bash
#
# IceWarp Server migrator startup script
# Copyright (c) 2014-2015 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com 
#

USE_COLORS="0"

# init

SELF=$0
WORKDIR=$(dirname $0)

if [ "$TERM" == "xterm" ] || [ "$TERM" == "xterm-color" ] || [ "$TERM" == "screen" ]; then
    GOOD=$'\e[0;40;32m'
    BAD=$'\e[0;40;31m'
    NORMAL=$'\e[0m'
    WARN=$'\e[0;40;93m'
    HILITE=$'\e[0;40;97m'
    BRACKET=$'\e[0;40;39m'
else
    GOOD=$'\e[0;40;32m'
    BAD=$'\e[0;40;31m'
    NORMAL=$'\e[0m'
    WARN=$'\e[0;40;33m'
    HILITE='\e[4;40;30m'
    BRACKET=${NORMAL}
fi

good()
{
    echo -e "${GOOD}**${NORMAL}\t$*"
}

bad()
{
    echo -e "${BAD}**${NORMAL}\tError: $*"
}

warn()
{
    echo -e "${WARN}**${NORMAL}\tWarning: $*"
}

hilite()
{
    echo -e "${GOOD}**${HILITE}\t$*${NORMAL}"
}

# Check icewarp is installed
if ! [ -f /etc/icewarp/icewarp.conf ]; then
    bad "IceWarp Server installation was not found. Cannot work without IceWarp server."
    exit 2
fi

source /etc/icewarp/icewarp.conf

export IWS_INSTALL_DIR
export IWS_PROCESS_USER
export LD_LIBRARY_PATH="${IWS_INSTALL_DIR}"/lib64:"${IWS_INSTALL_DIR}"/lib:${LD_LIBRARY_PATH}
"${WORKDIR}"/icewarpmigrator $@

exit 0
